module Config.Pages.Debate.Arguments.Records.AntiVandalism exposing (..)

import Config.Pages.Debate.Arguments.Types exposing (..)


argumentAntiVandalism : Argument
argumentAntiVandalism =
    { argumentTitle = "Argument Against Zoo Vandalism"
    , propositionTitle = "Vandalizing zoos increases the probability of harming the animals they keep."
    , propositionReductio = ""
    , propositionSummary = "The more we pressure institutions that hold innocent animals captive to direct their funds to endeavours or projects unrelated to animal care, the less money those institutions are going to have to devote to animal care."
    , proofLink = "https://www.umsu.de/trees/#(P~5Q),(P),(Q~5R)%7C=(R)"
    , argumentCertainty = 8
    , argumentImage = "antivandalism"
    , argumentHashtags = []
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "zoos must spend extra money cleaning graffiti"
          }
        , { definiendum = "Q"
          , definiens = "zoos will have less money to devote to animal care"
          }
        , { definiendum = "R"
          , definiens = "vandalizing zoos increases the probability of harming the animals they keep"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If zoos must spend extra money cleaning graffiti, then zoos will have less money to devote to animal care."
                  , notation = "P→Q"
                  }
                , { premise = "If zoos will have less money to devote to animal care, then vandalizing zoos increases the probability of harming the animals they keep."
                  , notation = "Q→R"
                  }
                , { premise = "Zoos must spend extra money cleaning graffiti."
                  , notation = "P"
                  }
                ]
          , conclusion = "Therefore, vandalizing zoos increases the probability of harming the animals they keep."
          , conclusionNotation = "R"
          }
        ]
    }
