module Config.Pages.Debate.Gibberish.Records.Ontology exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Gibberish.Types exposing (..)


ontologyGibberish : Gibberish
ontologyGibberish =
    let
        name =
            "Ontology"
    in
    { gibberishTitle = name
    , gibberishImage = formatName name
    , gibberishLink = "https://en.wikipedia.org/wiki/Ontology"
    , gibberishDescription = "Ontology is the philosophical study of being and existence, focusing on the nature and categories of entities. It explores fundamental questions about what it means to exist and the relationships between different kinds of beings. Traditionally considered a branch of metaphysics, ontology also examines the properties and structures that define reality"
    , gibberishTerms =
        [ { term = "Libertarian Free Will"
          , strength = 0
          , explanation = SpecificExplanation "If libertarian free will is meant to refer to the ability to make decisions outside the constraints of determinism, then it would seem like this concept of free will purports to break causality by assuming decisions can be made without antecedent conditions. This just sounds like gibberish to me."
          }
        , { term = "Moral Particles"
          , strength = 0
          , explanation = SpecificExplanation "This just sounds like a hallucination, honestly."
          }
        ]
    }
