module Config.Pages.Donate.Records.YouTube exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Donate.Types exposing (..)


donateYouTube : Donate
donateYouTube =
    let
        name : String
        name =
            "YouTube"
    in
    { donateImage = formatName name
    , donateLink = "https://www.youtube.com/@upRootNutrition/membership"
    , donateName = name
    , donateFees = "45%"
    , donatePreference = 3
    , donateFeatures =
        [ { free = Just False
          , subscriptions = Just True
          , openSource = Just False
          , fastPayments = Just False
          , userFriendly = Just True
          , anonymous = Just False
          , rewardTiers = Just True
          }
        ]
    , donatePros =
        [ { pro = "Extremely familiar platform that most people use anyway."
          }
        , { pro = "Built-in monetization through ad revenue sharing."
          }
        ]
    , donateCons =
        [ { con = "Extremely high platform cut (45% of ad revenue)."
          }
        , { con = "Content can be demonetized arbitrarily."
          }
        , { con = "Complicated and often changing monetization policies."
          }
        , { con = "High competition and algorithm dependency."
          }
        , { con = "Limited creator control over content visibility."
          }
        , { con = "Creators are easily censored."
          }
        ]
    }
